#
# spec file for package gfax (Version 0.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel imlib imlib-devel indent libglade libglade-devel libgpp libjpeg libpng libtiff libungif libunicode libxml libxml-devel orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libglade libglade-devel libgpp libjpeg libpng libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gfax
%define prefix /opt/gnome
%define sysconfdir /etc/%{prefix}
Summary:      The GNOME facsimile GUI
Version:      0.4.2
Release:      237
Copyright:	GPL
Group:		Applications/Communications
Source:		ftp://raven.cc.mala.bc.ca/pub/Linux/gfax-%{version}.tar.bz2
Patch:		gfax-%{version}.dif
BuildRoot:	/var/tmp/gfax-%{version}-build
URL:		http://www.gmsys.com

%description
gfax is a environment for easy sending of facsimiles directly from
applications via printerinterface.

Authors:
--------
    George Farris <george@gmsys.com>

SuSE series: gnm

%prep
%setup
%patch
./configure --prefix=%prefix \
            --sysconfdir=%sysconfdir \
            --localstatedir=/var/lib
  

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix} $RPM_BUILD_ROOT%{sysconfdir}
make prefix=$RPM_BUILD_ROOT%{prefix} \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install
strip $RPM_BUILD_ROOT%{prefix}/bin/* || :
# %post
# # Set up the lpr link
# BINDIR=/usr/bin
# LPRBINDIR=/usr/bin
# 
# if [ ! -x $LPRBINDIR/lpr.dist ]; then
#         mv $LPRBINDIR/lpr $LPRBINDIR/lpr.dist
#         ln -s $BINDIR/lpr.gfax $BINDIR/lpr
#         chmod +x $BINDIR/lpr
# fi
# 
# %postun
# # Reset the lpr link
# BINDIR=/usr/bin
# LPRBINDIR=/usr/bin
# 
# if [ -x $LPRBINDIR/lpr.dist ]; then
#         rm -rf $LPRBINDIR/lpr
#         mv $LPRBINDIR/lpr.dist $LPRBINDIR/lpr
# fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ-gfax
%{prefix}/bin/*
%{prefix}/share/gnome/apps/Applications/*
%{prefix}/share/gnome/help/gfax/*
%{prefix}/share/gfax/glade/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*

%changelog -n gfax
* Wed Feb 28 2001 - egger@suse.de
- Updated to version 0.4.2.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Thu Feb 22 2001 - uli@suse.de
- fixed for new glibc
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Wed Nov 08 2000 - ro@suse.de
- added esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 24 2000 - egger@suse.de
- Whoops, checked in old specfile... sorry....
* Sun Sep 24 2000 - egger@suse.de
- updated to 0.4.1
- added missing file.
- buildproofed on i386.
* Thu Aug 31 2000 - egger@suse.de 
- Updated to 0.3.8.
* Wed Dec 15 1999 - ke@suse.de
- update: version 0.3.5.
* Mon Nov 29 1999 - ke@suse.de
- first SuSE package: version 0.3.4.
